Debian Bug report logs - #223488
dialog: --defaultno doesn't work in combination with --no-cancel

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Joerg Schuetter <joerg@schuetter.org>

Date: Tue, 9 Dec 2003 19:48:09 UTC

Severity: important

Tags: sid

Found in version 0.9b-20031207-1

Fixed in version dialog/0.9b-20040301-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#223488; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schuetter <joerg@schuetter.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joerg Schuetter <joerg@schuetter.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: --defaultno doesn't work in combination with --no-cancel
Date: Tue, 09 Dec 2003 20:41:54 +0100
Package: dialog
Version: 0.9b-20031207-1
Severity: important
Tags: sid

Hello,

after the bug #223077 has been fixed the combination
--no-cancel --defaultno
doesn't work as expected. The YES value is selected by default.

Here is the line which shows the problem.
dialog --title Patches --stdout --no-cancel --defaultno --yesno \
  "Do you want to aply patches to the kernel?" 5 70

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux pluto 2.6.0-test11-nvidia.4496-20031130-2 #1 Sun Nov 30 20:15:11 CET 2003 i686
Locale: LANG=C, LC_CTYPE=de_DE@euro

Versions of packages dialog depends on:
ii  debianutils               2.6.1          Miscellaneous utilities specific t
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libncursesw5              5.3.20030719-4 Shared libraries for terminal hand

-- no debconf information




Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 223488-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 223488-forwarded@bugs.debian.org, Joerg Schuetter <joerg@schuetter.org>
Subject: Bug#223488: dialog: --defaultno doesn't work in combination with --no-cancel (fwd)
Date: Tue, 9 Dec 2003 21:31:20 +0100 (CET)
Hi.

Received today:

---------- Forwarded message ----------
From: Joerg Schuetter <joerg@schuetter.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Tue, 09 Dec 2003 20:41:54 +0100
Subject: Bug#223488: dialog: --defaultno doesn't work in combination with
    --no-cancel

Package: dialog
Version: 0.9b-20031207-1
Severity: important
Tags: sid

Hello,

after the bug #223077 has been fixed the combination
--no-cancel --defaultno
doesn't work as expected. The YES value is selected by default.

Here is the line which shows the problem.
dialog --title Patches --stdout --no-cancel --defaultno --yesno \
  "Do you want to aply patches to the kernel?" 5 70

[...]



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#223488; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #13 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Joerg Schuetter <joerg@schuetter.org>, 223488@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>
Subject: Re: Bug#223488: dialog: --defaultno doesn't work in combination with --no-cancel
Date: Tue, 9 Dec 2003 16:23:49 -0500 (EST)
On Tue, 9 Dec 2003, Joerg Schuetter wrote:

> Package: dialog
> Version: 0.9b-20031207-1
> Severity: important
> Tags: sid
>
> Hello,
>
> after the bug #223077 has been fixed the combination
> --no-cancel --defaultno
> doesn't work as expected. The YES value is selected by default.

That's because the "No" is the same code as "Cancel".  This is a result of
using --defaultno to apply to the other boxes.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#223488; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#223488; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #23 received at 223488@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 223488@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=223488
Date: Tue, 9 Dec 2003 16:34:49 -0500
>                       Debian Bug report logs - #223488
>       dialog: --defaultno doesn't work in combination with --no-cancel

dialog encodes ok/cancel the same as yes/no.

	specifying --no-cancel tells it to suppress the button which returns
	the cancel/no code.

	specifying --defaultno tells it to use the button which returns the
	cancel/no code.

Aside from documenting this in the manpage, there's nothing to change here
(except scripts that select conflicting options, of course).
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joerg Schuetter <joerg@schuetter.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 223488-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 223488-close@bugs.debian.org
Subject: Bug#223488: fixed in dialog 0.9b-20040301-1
Date: Tue, 02 Mar 2004 16:17:02 -0500
Source: dialog
Source-Version: 0.9b-20040301-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20040301-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20040301-1.diff.gz
dialog_0.9b-20040301-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20040301-1.dsc
dialog_0.9b-20040301-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20040301-1_i386.deb
dialog_0.9b-20040301.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20040301.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 223488@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  2 Mar 2004 19:10:02 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20040301-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 223488 225255 232441 233044
Changes: 
 dialog (0.9b-20040301-1) unstable; urgency=low
 .
   * New upstream release.
   - The interaction between "--default-no" and "--no-cancel" is now
     documented (Closes: #223488).
   - The --default-item option now works with checklist too (Closes: #225255).
   - There are now Ukrainian messages (Closes: #232441).
   - Fixed a segfault problem in checklist (Closes: #233044).
Files: 
 a29dc8dd737d11001efe5c9efb3a668b 596 misc optional dialog_0.9b-20040301-1.dsc
 734e32b5d3864ca4039844a5cd75f650 263843 misc optional dialog_0.9b-20040301.orig.tar.gz
 a94e0276aa573c16a6e2766d66b62cea 7093 misc optional dialog_0.9b-20040301-1.diff.gz
 10f50d47211eeb3ffcba507ee4c612fd 158294 misc optional dialog_0.9b-20040301-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFARM69d9Uuvj7yPNYRAogdAKDFQJeUHwbD/bTkrEjz+LUiS2x4UwCgwWze
pm7LE+0LTXgBKQz7fpYHdhw=
=jrFW
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:26:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.